edu.sc.seis.sod

## Class TotalLoserEventCleaner

- java.lang.Object
- - java.util.TimerTask
  - - edu.sc.seis.sod.TotalLoserEventCleaner

- All Implemented Interfaces:
    java.lang.Runnable

      public class TotalLoserEventCleaner
      extends java.util.TimerTask

  This task runs immediately on instantiation and then once a week after that. It removes all events that were failed in the eventArm by a subsetter from the database on each run.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TotalLoserEventCleaner(edu.iris.Fissures.model.TimeInterval lag)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `clean(java.lang.Class eventPairClass, edu.iris.Fissures.model.MicroSecondDate ageAgo)`
    `static void` | `cleanECP(edu.iris.Fissures.model.MicroSecondDate ageAgo)`
    `static void` | `cleanENP(edu.iris.Fissures.model.MicroSecondDate ageAgo)`
    `static void` | `cleanESP(edu.iris.Fissures.model.MicroSecondDate ageAgo)`
    `static void` | `cleanEvents(edu.iris.Fissures.model.MicroSecondDate ageAgo)`
    `static void` | `cleanEVP(edu.iris.Fissures.model.MicroSecondDate ageAgo)`
    `void` | `run()`

    - ### Methods inherited from class java.util.TimerTask

      `cancel, scheduledExecutionTime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TotalLoserEventCleaner

          public TotalLoserEventCleaner(edu.iris.Fissures.model.TimeInterval lag)

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`
      Specified by:
        `run` in class `java.util.TimerTask`

    - #### cleanEvents

          public static void cleanEvents(edu.iris.Fissures.model.MicroSecondDate ageAgo)

    - #### cleanESP

          public static void cleanESP(edu.iris.Fissures.model.MicroSecondDate ageAgo)

    - #### cleanENP

          public static void cleanENP(edu.iris.Fissures.model.MicroSecondDate ageAgo)

    - #### cleanECP

          public static void cleanECP(edu.iris.Fissures.model.MicroSecondDate ageAgo)

    - #### cleanEVP

          public static void cleanEVP(edu.iris.Fissures.model.MicroSecondDate ageAgo)

    - #### clean

          public static void clean(java.lang.Class eventPairClass,
                                   edu.iris.Fissures.model.MicroSecondDate ageAgo)